Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum Possible operating system hints for future file data access.

Operating systems maintain a cache of all open files to speed up performance for common tasks. The default caching behavior may not be appropriate for some tasks. The FileAccessPattern enumeration contains possible alternate caching behaviors that your operating system may support.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPattern The specified data will not be needed, and should be removed from the disk cache if present.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPattern The specified data will not be re-used (i.e. it will only be used once), so it shouldn't be kept around in the disk cache after it has been used..
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPattern No advice given. This is the default.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPattern The specified data will soon be accessed, so it should be pre-loaded.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPattern The specified data will be accessed in a random order.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPattern The application will access file data in a sequential order (from beginning of file to end of file).